> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Errors

We indicate the type of API error that occured in two ways:

* HTTP status codes.
* Unique Error Codes. If a situation occurs that you are expected to be able to react to with more precision than HTTP status codes would allow, we will return a unique error code in the response body as well.

## Example Error Body

Our error responses always have the following JSON structure:

```json
{
  "code": "generic_error",
  "message": "Http method OPTIONS is not supported."
}
```

## HTTP Error Status Codes

The following HTTP status error codes are used in our API:

| Status Code | Description                                                                                                                  |
| ----------- | ---------------------------------------------------------------------------------------------------------------------------- |
| 400         | Bad Request: The request could not be understood by the server.                                                              |
| 401         | Unauthorized: Authentication is required and has failed or has not yet been provided.                                        |
| 403         | Forbidden: The server understood the request but refuses to authorize it.                                                    |
| 404         | Not Found: The requested resource could not be found.                                                                        |
| 405         | Method Not Allowed: The request method is not supported for the requested resource.                                          |
| 408         | Request Timeout: The server timed out waiting for the request.                                                               |
| 409         | Conflict: The request could not be completed due to a conflict with the current state of the resource.                       |
| 410         | Gone: The resource requested is no longer available and will not be available again.                                         |
| 413         | Payload Too Large: The request is larger than the server is willing or able to process.                                      |
| 415         | Unsupported Media Type: The request entity has a media type which the server or resource does not support.                   |
| 416         | Range Not Satisfiable: The server cannot provide the requested range of data.                                                |
| 422         | Unprocessable Entity: The server understands the request, but could not succeed in processing it.                            |
| 429         | Too Many Requests: Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.          |
| 500         | Internal Server Error: The server encountered an unexpected condition that prevented it from fulfilling the request.         |
| 501         | Not Implemented: The server does not support the functionality required to fulfill the request.                              |
| 502         | Bad Gateway: The server received an invalid response from an upstream server.                                                |
| 503         | Service Unavailable: The server is currently unable to handle the request due to temporary overloading or maintenance.       |
| 504         | Gateway Timeout: The server, while acting as a gateway or proxy, did not receive a timely response from the upstream server. |
| 505         | HTTP Version Not Supported: The server does not support the HTTP protocol version that was used in the request.              |

## Unique Error Codes

The following unique error codes are used in our API:

| Error Code                                     | Description                                                                                                         |
| ---------------------------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| **`generic_error`**                            | An error occurred. See HTTP status code.                                                                            |
| **`saas_tenant_not_found`**                    | Provided tenant GUID (parameter `tenant`) is not a valid tenant ID.                                                 |
| **`saas_environment_not_found`**               | Provided tenant environment name (parameter `environment`) is not a valid environment name for the selected tenant. |
| **`saas_company_not_found`**                   | Provided company name (parameter `company`) is not a valid company name for the selected tenant and environment.    |
| **`server_timeout`**                           | The server timed out while processing the request.                                                                  |
| **`unsupported_http_method`**                  | The http method is not supported for this endpoint.                                                                 |
| **`resource_not_found`**                       | The selected resource does not exist.                                                                               |
| **`globalsale_duplicate_key`**                 | Duplicate key.                                                                                                      |
| **`capacity_exceeded`**                        | The capacity has been exceeded. Entry is not allowed.                                                               |
| **`invalid_reference`**                        | The reference is invalid.                                                                                           |
| **`reservation_not_found`**                    | The required reservation for the ticket was not found.                                                              |
| **`not_valid`**                                | The ticket is not valid.                                                                                            |
| **`reservation_mismatch`**                     | Your reservation is not for the current event.                                                                      |
| **`admission_not_open`**                       | The admission code is not open.                                                                                     |
| **`admission_not_open_entry`**                 | The admission code is not open for this entry.                                                                      |
| **`not_confirmed`**                            | The ticket has not been confirmed.                                                                                  |
| **`reservation_not_for_today`**                | The reservation is not valid for today.                                                                             |
| **`reservation_capacity_exceeded`**            | The reservation capacity has been exceeded.                                                                         |
| **`ticket_canceled`**                          | The ticket has been canceled.                                                                                       |
| **`ticket_not_valid_yet`**                     | The ticket is not valid yet.                                                                                        |
| **`ticket_expired`**                           | The ticket has expired.                                                                                             |
| **`quantity_change_not_allowed`**              | The quantity change is not allowed.                                                                                 |
| **`no_default_schedule`**                      | No default schedule could be found.                                                                                 |
| **`missing_payment`**                          | The ticket is missing a payment transaction.                                                                        |
| **`schedule_entry_expired`**                   | The schedule entry has expired.                                                                                     |
| **`reservation_not_for_now`**                  | The reservation is not valid for now.                                                                               |
| **`concurrent_capacity_exceeded`**             | The concurrent capacity has been exceeded.                                                                          |
| **`reschedule_not_allowed`**                   | Rescheduling is not allowed.                                                                                        |
| **`invalid_admission_code`**                   | The admission code is invalid.                                                                                      |
| **`has_payment`**                              | The ticket has already been paid.                                                                                   |
| **`duration_exceeded`**                        | The admission duration has expired.                                                                                 |
| **`ticket_blocked`**                           | The ticket is blocked.                                                                                              |
| **`ticket_not_valid_for_suggested_admission`** | The ticket is not valid for the suggested admission.                                                                |
| **`ticket_not_allowed`**                       | The ticket is not allowed since no valid admission code could be found.                                             |
| **`wallet_expired`**                           | The wallet has expired.                                                                                             |
| **`ticket_reservation_has_no_tickets`**        | The ticket reservation has no tickets.                                                                              |
| **`member_blocked`**                           | Member is blocked.                                                                                                  |
| **`member_card_blocked`**                      | Member card is blocked.                                                                                             |
| **`member_card_not_allowed`**                  | Member card is not allowed.                                                                                         |
| **`member_card_expired`**                      | Member card has expired.                                                                                            |
| **`membership_setup_missing_ticket_item`**     | Membership setup is missing ticket item.                                                                            |
| **`membership_setup_missing`**                 | Membership setup is missing.                                                                                        |
| **`membership_blocked`**                       | Membership is blocked                                                                                               |
| **`member_unique_id_violation`**               | Member with same unique id already exists.                                                                          |
| **`member_count_exceeded`**                    | Member count exceeded.                                                                                              |
| **`member_card_exists`**                       | Member card already exists.                                                                                         |
| **`no_admin_member`**                          | No admin member found.                                                                                              |
| **`member_card_blank`**                        | Member card is blank.                                                                                               |
| **`invalid_contact`**                          | The provided contact number is not valid in context of the customer.                                                |
| **`age_verification_setup`**                   | Add member failed on age verification because item number for sales was not provided.                               |
| **`age_verification`**                         | Age verification failed.                                                                                            |
| **`allow_member_merge_not_set`**               | This request violates the community’s member identity uniqueness rule. See the API documentation for merge options. |
| **`member_card_limitation_error`**             | Limitations on member card apply and deny admission.                                                                |
| **`denied_by_speedgate`**                      | The reference number was denied by the gate.                                                                        |
| **`scanner_not_found`**                        | The scanner was not found.                                                                                          |
| **`scanner_id_required`**                      | The scanner id is required.                                                                                         |
| **`scanner_not_enabled`**                      | The scanner is not enabled.                                                                                         |
| **`number_not_whitelisted`**                   | The reference number was not whitelisted by the gate.                                                               |
| **`number_rejected`**                          | The reference number was actively rejected by gate setup.                                                           |
| **`membership_no_timeframes`**                 | Membership is not valid because it has no timeframes.                                                               |
| **`membership_not_valid_for_today`**           | Membership is not valid for today.                                                                                  |